/* Модальное окно */
.quiz-modal {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.55);
    z-index: 1000;
    align-items: center;
    justify-content: center;
    padding: 20px;
}
.quiz-modal.active { display: flex; }

.quiz-box {
    background: #fff;
    width: 100%;
    max-width: 960px;
    border-radius: 14px;
    padding: 0;
    position: relative;
    animation: pop .25s ease;
    /*display: flex;*/
}

#quizform-quiz-text-1 {
    width: 100%;
}


.quiz-step__content{
    padding: 36px;
}
@keyframes pop {
    from { transform: scale(.9); opacity: 0; }
    to   { transform: scale(1);  opacity: 1; }
}

.quiz-close {
    position: absolute;
    top: -7px;
    right: 14px;
    background: none;
    border: none;
    font-size: 56px;
    cursor: pointer;
    color: #e94c22;
}
.quiz-close:hover { color: rgb(100, 30, 20); }

/* Прогресс */
/*.progress {
    height: 6px;
    background: #e5e7eb;
    border-radius: 3px;
    overflow: hidden;
    margin-bottom: 22px;
}
.progress-bar {
    height: 100%;
    background: linear-gradient(90deg, #4f46e5, #7c3aed);
    width: 0;
    transition: width .3s;
}
.progress-text {
    font-size: 13px;
    color: #6b7280;
    margin-bottom: 10px;
}*/

/* Слайды */
.quiz-step { display: none; }
.quiz-step.active {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.quiz-step h2 {
    margin-bottom: 36px;
    color: rgb(233, 76, 34);
    font-size: 40px;
    font-weight: 600;
    line-height: 100%;
    text-transform: uppercase;
}

/* Варианты */
.options { display: flex; flex-direction: column; gap: 10px; }
.option {
    display: flex;
    align-items: center;
    cursor: pointer;
    transition: all .15s;
    user-select: none;
    color: rgb(100, 30, 20);
    font-family: Onest;
    font-size: 20px;
    font-weight: 400;
    line-height: 140%;
    text-align: left;
}

.option input {
    margin-right: 14px;
    accent-color: rgb(233, 76, 34);
    width: 19px;
    height: 19px;
}


/* Кнопки */
.quiz-nav {
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 20px;
    margin-top: 24px;
    gap: 20px;
}
.quiz-btn {
    padding: 11px 30px;
    border: none;
    border-radius: 15px;
    cursor: pointer;
    transition: all .2s;
    font-size: 20px;
    font-weight: 600;
}
.quiz-btn.prev {
    background: rgb(242, 236, 235);
    color: rgb(100, 30, 20);
}

.quiz-btn.next { background: #E94C22; color: #fff; margin-left: 10px; }

.quiz-btn:disabled { opacity: .5; cursor: not-allowed; }

/* Форма */
.form-group { margin-bottom: 14px; }


.form-group input:focus {
    outline: none;
    border-color: #4f46e5;
}

.error {
    color: #dc2626;
    font-size: 13px;
    margin-top: 8px;
    display: none;
}

.success {
    text-align: center;
    padding: 20px 0;
}
.success .icon {
    font-size: 56px;
    margin-bottom: 14px;
}
.success h2 {
    margin-bottom: 10px;
}

.quiz-step__img img {
    width: 100%;
    height: 100%;
    border-bottom-right-radius: 14px;
    border-top-right-radius: 14px;
    object-fit: cover;
}
.quiz-step__img {
    width: 40%;
}
.quiz-step__content {
    padding: 36px;
    width: 60%;
    margin-bottom: 75px;
}
.quiz-nav.nav-main {
    margin: 0;
    padding: 0 36px;
    width: 60%;
    position: absolute;
    bottom: 36px;
}
.progress-text {
    color: rgb(233, 76, 34);
    font-size: 23px;
}

.quiz-step .form__input {
    border: 1px solid rgb(233, 76, 34);
}

.quiz-step .element_checkbox span {
    color: rgb(169, 155, 152);
    font-size: 12px;
    font-weight: 400;
    font-family: Onest;
}
.quiz-step .element_checkbox label i {
    border: 1px solid rgb(169, 155, 152);
}
.quiz-step .button {
    color: #ffffff;
    background: #E94C22;
    max-width: 100%;
    justify-content: space-between;
    border: 1px solid #E94C22;
}
.quiz-step .button:hover {
    color: #E94C22;
    background: #00e70000;
    max-width: 100%;
    justify-content: space-between;
}
.quiz-step-form{
    margin: auto;
}
.quiz-step.active.quiz-step-success {
    margin: auto;
    justify-content: center;
}
.quiz-step-success p{
    color: rgb(169, 155, 152);
    font-family: Onest;
    font-size: 21px;
    font-weight: 400;
    line-height: 140%;
    /*text-align: left;*/
}
@media (max-width: 767px) {
    .quiz-step__content {
        width: 100%;
        padding: 24px;
        padding-top: 50px;
    }
    .quiz-step h2 {
        margin-bottom: 20px;
        font-size: 24px;
    }
    .option {
        font-size: 16px;
    }
    .option input {
        width: 13px;
        height: 13px;
    }
    .quiz-modal {
        overflow: scroll;
    }
    .quiz-nav.nav-main {
        width: 100%;
        padding: 0 24px;
    }
    .quiz-btn {
        padding: 7px 25px;
        border-radius: 10px;
        font-size: 16px;
    }
    .quiz-step__img {
        display: none;
    }
    .quiz-step__forms {
        margin-bottom: 0;
    }
    .quiz-step.quiz-step-success {
        padding: 24px;
    }
    .quiz-step-success p {
        font-size: 16px;
        text-align: center;
    }
}

.quiz-step.quiz-step-success {
    display: block;
    margin: auto;
    margin-top: 75px;
    margin-bottom: 75px;
}

.quiz-btn.next.dont-click{
    pointer-events: none;
    opacity: 0.5;
}
